Knowledge Base

The VMware Knowledge Base provides support solutions, error messages and troubleshooting guides
 
Search the VMware Knowledge Base (KB)   View by Article ID
 

Incorrect version of LSI Logic Storage Adapter driver causes provisioning issues when you deploy Windows XP linked-clone desktops in View 4.x with View Composer. (1017097)

Details

If you install the wrong version of the LSI Logic Storage Adapter driver, linked-clone desktops are not provisioned successfully.

When you provision or recompose linked-clone desktops with View Composer, the operating system on each linked clone detects a new SCSI controller, disk, volume, or all of these devices. The operating system activates the New Hardware wizard and prompts the user to confirm the new device. Desktop customization cannot be completed automatically because the operating system is waiting for the user confirmation.

This issue affects the following configuration:
  • View deployment: View Manager 4.x and 5.x with View Composer
  • Guest operating system: Windows XP
  • VM storage adapter: VMware LSI Logic Storage Adapter

This issue can occur on linked clones with or without user-data disks (View Composer persistent disks).

Solution

To resolve this issue, install a signed Windows Hardware Quality Labs (WHQL) version of the LSI Logic SCSI HBA driver on the parent virtual machine before you create or recompose the linked-clone desktops.

You can obtain the driver from the LSI support Web site.
 
For more information, see:

Update History

04/11/2013 - Added VMware Horizon View 5.x to Products

Request a Product Feature

To request a new product feature or to provide feedback on a VMware product, please visit the Request a Product Feature page.

Feedback

  • 3 Ratings

Did this article help you?
This article resolved my issue.
This article did not resolve my issue.
This article helped but additional information was required to resolve my issue.
What can we do to improve this information? (4000 or fewer characters)
  • 3 Ratings
Actions
KB: